/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2025-01-24 10:06:45
 * @LastEditTime: 2025-04-21 19:02:53
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description:
 */
import React, { Fragment } from 'react';
import { Row, Col, Space } from 'antd';
import PreviewImage from '@/components/PreviewImage';
import MyPDF from '@/components/MyPDF';

export default function RegisInfoModule(props) {
	return (
		<Fragment>
			<Col span={24} style={{ display: 'flex', alignItems: 'center', margin: '12px 0px 4px 0px' }}>
				<Space size="small">
					<div className="MediationInfo-subTitle" style={{ marginTop: '-9px' }}></div>
					<h4>不予受理信息</h4>
				</Space>
			</Col>
			<Row gutter={[16, 16]}>
				<Col span={24}>
					<div className="title">
						<div className="title-text">不予受理理由</div>
					</div>
					<div>{props.dismissData?.disContent || '-'}</div>
				</Col>
				<Col span={24}>
					<div className="title">
						<div className="title-text">附件材料</div>
					</div>
					<div style={{ color: '#1A6FB8' }}>
						{props.dismissData?.fileInfoList?.map((result, resIndex) => {
							return (
								<div style={{ display: 'inline-block' }}>
									<MyPDF name={result.name} fileUrl={result.showUrl} fileType={result.suffix} />
									{/* <PreviewImage name={result.name} src={result.showUrl} /> */}
									{resIndex !== props.dismissData?.fileInfoList?.length - 1 && <>，</>}
								</div>
							);
						}) || '-'}
					</div>
				</Col>
			</Row>
		</Fragment>
	);
}
